# Summary

Updates core's version of jQuery to the latest.

No longer needed in D8; D8 ships with the latest, and the plan is to continue increasing the shipped version (with BC available) in further minor releases.

# Project URL

https://www.drupal.org/project/jquery_update

# Where is the code?

N/A

# Estimated completion date

N/A

# Dependencies

N/A

# Who's doing the port?

N/A

# What help do they need?

N/A

# D8 roadmap

N/A

# Background and reference information

N/A

Comments

webchick created an issue.

S@ilor’s picture

So, how do one change between different versions?

typotraum’s picture

Same question

Devaraj johnson’s picture

+1 @S@ilor

corbacho’s picture

I just found a example of how to swap jQuery with your version using hook_js_alter . See the example (8.1.x) https://api.drupal.org/api/drupal/core%21lib%21Drupal%21Core%21Render%21...

caspervoogt’s picture

So there's no UI anymore in D8?

priyanka12chavan’s picture

How to update version of jquery.

lokeshsn22’s picture

@corbacho

I tried with the hook that is mentioned under the url you have mentioned. The hook is as follows

function hook_js_alter(&$javascript, \Drupal\Core\Asset\AttachedAssetsInterface $assets) {
  // Swap out jQuery to use an updated version of the library.
  $javascript['core/assets/vendor/jquery/jquery.min.js']['data'] = drupal_get_path('module', 'jquery_update') . '/jquery.js';
}

Here the drupal_get_path is unable to fetch the path of the jquery_update module. Can someone tell me, where the jquery_update module is present. In the document it says " Its been included in the core by default".